#include <iostream>
#include <string>
#include <string.h>
#include <algorithm>

using namespace std;

const short int MIN_M=1;
const short int MAX_M=10;

const int MIN_N=1;
const int MAX_N=200000;

int najmanji(int a[10], int n)
{
    int minimum=a[0];
    int rez=0;
    for(int i=1; i<n; i++)
        if(a[i]<minimum)
        {
            minimum=a[i];
            rez=i;
        }
    return rez;
}

int main()
{
    char s[10];
    string t;
    int n;
    short int m, i;
    int a[10], broj, b;
    cin >> t;
    cin >> s;
    n=t.size();
    m=strlen(s);
    if((n>MAX_N || n<MIN_N) && (m>MAX_M || m<MIN_M))
        return 0;
    for (i=0; i<m; i++)
        a[i]=count(t.begin(), t.end(), s[i]);
    b=najmanji(a,m);
    broj=a[b];
    replace(t.begin(), t.end(), s[b], '*');
    cout << broj << endl;
    cout << t;
    return 0;
}